Bug 177342 - [PATCH] databases/ruby-bdb: fix build with Ruby 2.0
Summary: [PATCH] databases/ruby-bdb: fix build with Ruby 2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Akinori MUSHA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-24 15:20 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2013-04-23 11:10 UTC (History)
1 user (show)

See Also:


Attachments
ruby20-bdb5-0.6.6.patch (3.09 KB, patch)
2013-03-24 15:20 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2013-03-24 15:20:00 UTC
- Fix build with Ruby 2.0
- Update COMMENT
- Convert to new options framework
- Minor Makefile cleanup
- Pet portlint

Port maintainer (knu@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_7 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-03-24 15:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->knu

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-04-23 11:04:52 UTC
Author: knu
Date: Tue Apr 23 10:04:39 2013
New Revision: 316330
URL: http://svnweb.freebsd.org/changeset/ports/316330

Log:
  Fix build with Ruby 2.0 and follow the ports framework updates.
  
  - Update COMMENT
  - Update pkg-descr
  - Convert to new options framework
  - Minor Makefile cleanup
  - Pet portlint
  
  PR:		ports/177342
  Submitted by:	tentative

Modified:
  head/databases/ruby-bdb/Makefile
  head/databases/ruby-bdb/pkg-descr

Modified: head/databases/ruby-bdb/Makefile
==============================================================================
--- head/databases/ruby-bdb/Makefile	Tue Apr 23 10:00:22 2013	(r316329)
+++ head/databases/ruby-bdb/Makefile	Tue Apr 23 10:04:39 2013	(r316330)
@@ -1,29 +1,26 @@
-# New ports collection makefile for:	Ruby-BDB
-# Date created:		8 March 2001
-# Whom:			Akinori MUSHA aka knu <knu@idaemons.org>
-#
+# Created by: Akinori MUSHA aka knu <knu@idaemons.org>
 # $FreeBSD$
-#
 
 PORTNAME=	bdb
 PORTVERSION=	0.6.6
 CATEGORIES=	databases ruby
 MASTER_SITES=	ftp://ftp.idaemons.org/pub/distfiles/ruby/ \
 		http://idaemons.org/distfiles/ruby/ \
-		${MASTER_SITE_LOCAL}
-MASTER_SITE_SUBDIR=	knu
+		LOCAL/knu
 PKGNAMEPREFIX=	${RUBY_PKGNAMEPREFIX}
 PKGNAMESUFFIX=	${WITH_BDB_VER}
 DIST_SUBDIR=	ruby
 
 MAINTAINER=	knu@FreeBSD.org
-COMMENT=	Ruby interface to Sleepycat's Berkeley DB revision 2 or later
+COMMENT=	Ruby interface to Oracle Berkeley DB revision 2 or later
 
 USE_BDB=	yes
 USE_BZIP2=	yes
 
 CONFLICTS=	${PKGNAMEPREFIX}${PORTNAME}[2-4]*
 
+OPTIONS_DEFINE=	DOCS EXAMPLES
+
 USE_RUBY=		yes
 USE_RUBY_EXTCONF=	yes
 USE_RUBY_RDOC=		yes
@@ -32,44 +29,40 @@ CONFIGURE_ARGS=	--with-db-include=${BDB_
 		--with-db-lib=${BDB_LIB_DIR}
 INSTALL_TARGET=	site-install
 
-DOCS=	Changes \
-	README.en \
-	bdb.rd \
-	docs/*.rd
-
-.include <bsd.port.pre.mk>
-
-PLIST_FILES=	%%RUBY_SITEARCHLIBDIR%%/bdb.so
-
-.if !defined(NOPORTDOCS)
+DOCS=		Changes README.en bdb.rd docs/*.rd
 DOCSDIR=	${RUBY_MODDOCDIR}
-PORTDOCS=	*
-.endif
-.if !defined(NOPORTEXAMPLES)
 EXAMPLESDIR=	${RUBY_MODEXAMPLESDIR}
+PLIST_FILES=	%%RUBY_SITEARCHLIBDIR%%/bdb.so
+PORTDOCS=	*
 PORTEXAMPLES=	*
+
+.include <bsd.port.pre.mk>
+
+post-patch:
+.if ${RUBY_VER} == 2.0
+	@${REINPLACE_CMD} -e '/remove_const/d' ${WRKSRC}/src/features.rb
 .endif
 
 post-build:
-.if !defined(NOPORTDOCS)
-	( cd ${BUILD_WRKSRC}; ${SETENV} ${MAKE_ENV} ${MAKE} \
-	${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} rdoc )
+.if ${PORT_OPTIONS:MDOCS}
+	(cd ${BUILD_WRKSRC} && ${SETENV} ${MAKE_ENV} ${MAKE} \
+	${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} rdoc)
 .endif
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}/doc
-	(cd ${WRKSRC} && ${INSTALL_MAN} ${DOCS} ${DOCSDIR})
-	(cd ${WRKSRC}/docs/doc && ${COPYTREE_SHARE} \* ${DOCSDIR}/doc)
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${DOCS} ${DOCSDIR})
+	(cd ${WRKSRC}/docs/doc && ${COPYTREE_SHARE} . ${DOCSDIR}/doc)
 .endif
-.if !defined(NOPORTEXAMPLES)
+.if ${PORT_OPTIONS:MEXAMPLES}
 	${MKDIR} ${EXAMPLESDIR}/
-	(cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} \* ${EXAMPLESDIR} "! -empty")
+	(cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} . ${EXAMPLESDIR} "! -empty")
 .endif
 
-regression-test:
+regression-test: build
 	@${MKDIR} ${BUILD_WRKSRC}/tmp
-	( cd ${BUILD_WRKSRC} && ${SETENV} ${MAKE_ENV} ${MAKE} \
-	${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} test )
+	(cd ${BUILD_WRKSRC} && ${SETENV} ${MAKE_ENV} ${MAKE} \
+	${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} test)
 
 .include <bsd.port.post.mk>

Modified: head/databases/ruby-bdb/pkg-descr
==============================================================================
--- head/databases/ruby-bdb/pkg-descr	Tue Apr 23 10:00:22 2013	(r316329)
+++ head/databases/ruby-bdb/pkg-descr	Tue Apr 23 10:04:39 2013	(r316330)
@@ -2,5 +2,4 @@ Ruby-bdb is an interface to Sleepycat's 
 later.  DB >= 2 is required. (some functionalities like join are not
 available with DB < 2.6)
 
-Author:	Guy Decoux <ts@moulon.inra.fr>
-WWW:	http://moulon.inra.fr/ruby/bdb.html
+WWW: https://github.com/knu/ruby-bdb
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2013-04-23 11:08:17 UTC
Author: knu
Date: Tue Apr 23 10:08:09 2013
New Revision: 316332
URL: http://svnweb.freebsd.org/changeset/ports/316332

Log:
  Correct the credit as follows, and bump PORTREVISION for the previous change.
  
  PR:		ports/177342
  Submitted by:	Sunpoet Po-Chuan Hsieh <sunpoet@FreeBSD.org>

Modified:
  head/databases/ruby-bdb/Makefile

Modified: head/databases/ruby-bdb/Makefile
==============================================================================
--- head/databases/ruby-bdb/Makefile	Tue Apr 23 10:07:55 2013	(r316331)
+++ head/databases/ruby-bdb/Makefile	Tue Apr 23 10:08:09 2013	(r316332)
@@ -3,6 +3,7 @@
 
 PORTNAME=	bdb
 PORTVERSION=	0.6.6
+PORTREVISION=	1
 CATEGORIES=	databases ruby
 MASTER_SITES=	ftp://ftp.idaemons.org/pub/distfiles/ruby/ \
 		http://idaemons.org/distfiles/ruby/ \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Akinori MUSHA freebsd_committer 2013-04-23 11:08:26 UTC
State Changed
From-To: open->closed

Committed, thanks so much!